using System;
using System.Web.UI;

namespace GMW.WebMasterPages
{
    public partial class AjaxSimpleFull : System.Web.UI.MasterPage
    {
        public event EventHandler eh_doRefresh;
        protected void Page_Load(object sender, EventArgs e)
        {
            Page.Title = SteamWare.memLayer.ML.confReadString("_titoloPagina");
            mod_menuBottomFullpage1.eh_doRefresh += mod_menuBottomFullpage1_eh_doRefresh;
        }
        /// <summary>
        /// evento (agganciabile) di refresh pagina
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void mod_menuBottomFullpage1_eh_doRefresh(object sender, EventArgs e)
        {
            // se qualcuno ascolta sollevo evento nuovo valore...
            if (eh_doRefresh != null)
            {
                eh_doRefresh(this, new EventArgs());
            }
        }
    }
}
